Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025355
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 09. Financial managementmajoralways2013-12-17 18:382015-06-02 03:42
ReporteregoitzView Statuspublic 
Assigned Tofsoto82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision15dbf5983411
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025355: Long time to show the lines on the payment in/out windows

DescriptionOn payments with many lines it takes long to show the lines
Steps To Reproduce-On an environment with more than 200.000 rows on the fin_payment_scheduledetail table click on a payment with arround 10 lines.
*It takes long to show the data.

The problems is on the select with the following view:

FIN_PAYMENT_SCHED_INV_V

that also uses a view:

FIN_PAYMENT_DETAIL_V
Proposed SolutionRedesign the views used on the lines tab.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00260013.0PR14Q3 closedshankarb Tab is empty when defined with Disable Parent key Property 
causes defect 00300703.0PR15Q3 closedaferraz NPE in Payment In/Out Lines when navigating from Order/Invoice Payment Schedule and it is null 
causes defect 0030080 closedvmromanos Improve user experience in Payment In/Out lines tab 
causes defect 0032233 closedinigosanchez Payment In and Payment Out lines are not exported to CSV 
causes defect 0033288 closedmarkmm82 Linked items error in Payment Plan window when invoice is not paid 

-  Notes
(0065132)
jonalegriaesarte (reporter)
2014-03-13 12:37

Moved to design defect because the windows needs to be rebuilt
(0068588)
dmitry_mezentsev (developer)
2014-07-11 11:58

Eduardo,

As far as I understood you this issue is fixed in Q3 release, right?
(0069107)
dmitry_mezentsev (developer)
2014-08-06 19:22

Egoitz,

Eduardo is commenting that you have a patch to test. Were you able to do it in a customer environment?
(0069984)
dmitry_mezentsev (developer)
2014-09-05 14:16

Ping!
(0070047)
egoitz (developer)
2014-09-09 11:36

The patch of the related issue improves the performance.
Now the lines are shown much faster. For a payment with 100 lines
has improved from more than a minute to show the lines to around 5 seconds.
(0070055)
dmitry_mezentsev (developer)
2014-09-09 15:24

Good news!
Thanks.

Eduardo,
Could you resolve the issue then please?
(0070308)
dmitry_mezentsev (developer)
2014-09-24 11:13

Eduardo,

Ping!
If it works we need to put it in Q4.
(0077890)
hgbot (developer)
2015-05-29 13:37

Repository: erp/devel/pi
Changeset: 15dbf5983411271754cdb97c5d993a241b395601
Author: Fernando Soto <fernando.soto <at> peoplewalking.com>
Date: Fri Feb 13 10:20:41 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/15dbf5983411271754cdb97c5d993a241b395601 [^]

Fixed bug 25355: Long time to show the lines on the payment in/out windows

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DIMENSION_MAPPING.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0077891)
hgbot (developer)
2015-05-29 13:37

Repository: erp/devel/pi
Changeset: 093fb9ca1c6d340260547fedf9fbc79ef60e5976
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Feb 26 18:09:18 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/093fb9ca1c6d340260547fedf9fbc79ef60e5976 [^]

Related to issue 25355: Fix Dimension fields display

Dimension fields display in Payment In Lines and Payment Out Lines tabs will now work with Accounting Dimensions Central Maintenance.
Also, Order Payment Schedule and Invoice Payment Schedule fields navigation has been fixed.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DIMENSION_MAPPING.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
---
(0077892)
hgbot (developer)
2015-05-29 13:37

Repository: erp/devel/pi
Changeset: 38c6321b2ad980cb1be2f459e13d753b5fb4e9bb
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue May 12 09:36:15 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/38c6321b2ad980cb1be2f459e13d753b5fb4e9bb [^]

Related to issue 25355: Executed Synchronize Terminology

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0077893)
vmromanos (developer)
2015-05-29 13:38

Code review + testing OK
(0077919)
hgbot (developer)
2015-06-01 11:10

Repository: tools/automation/int
Changeset: 572d26a20bb667b8b196d5ec52631a12b3c4f6a0
Author: Pablo Lujan <pablo.lujan <at> openbravo.com>
Date: Sun May 31 23:59:27 2015 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/572d26a20bb667b8b196d5ec52631a12b3c4f6a0 [^]

Related with issue 25355 - Changes to automated tests

---
M src-test/com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/paymentin/PaymentInLinesData.java
M src-test/com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/paymentout/PaymentOutLinesData.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInLinesTab.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentout/PaymentOutLinesTab.java
---
(0077957)
hudsonbot (developer)
2015-06-02 03:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14de467bd788 [^]
Maturity status: Test
(0077958)
hudsonbot (developer)
2015-06-02 03:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14de467bd788 [^]
Maturity status: Test
(0077959)
hudsonbot (developer)
2015-06-02 03:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14de467bd788 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-12-17 18:38 egoitz New Issue
2013-12-17 18:38 egoitz Assigned To => dmiguelez
2013-12-17 18:38 egoitz Modules => Core
2013-12-17 18:38 egoitz Triggers an Emergency Pack => No
2013-12-17 18:39 egoitz Tag Attached: Performance
2014-01-02 12:20 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2014-03-13 12:37 jonalegriaesarte Note Added: 0065132
2014-03-13 12:37 jonalegriaesarte Type defect => design defect
2014-03-13 12:37 jonalegriaesarte Target Version PR14Q2 =>
2014-03-13 12:38 jonalegriaesarte Assigned To jonalegriaesarte => eduardo_Argal
2014-03-26 16:39 egoitz Relationship added related to 0026001
2014-07-11 11:58 dmitry_mezentsev Note Added: 0068588
2014-08-06 19:22 dmitry_mezentsev Note Added: 0069107
2014-09-05 14:16 dmitry_mezentsev Note Added: 0069984
2014-09-09 11:36 egoitz Note Added: 0070047
2014-09-09 15:24 dmitry_mezentsev Note Added: 0070055
2014-09-24 11:13 dmitry_mezentsev Note Added: 0070308
2015-02-05 15:26 fsoto82 Status new => scheduled
2015-02-05 15:26 fsoto82 Assigned To eduardo_Argal => fsoto82
2015-02-05 15:26 fsoto82 fix_in_branch => pi
2015-05-29 13:37 hgbot Checkin
2015-05-29 13:37 hgbot Note Added: 0077890
2015-05-29 13:37 hgbot Status scheduled => resolved
2015-05-29 13:37 hgbot Resolution open => fixed
2015-05-29 13:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/15dbf5983411271754cdb97c5d993a241b395601 [^]
2015-05-29 13:37 hgbot Checkin
2015-05-29 13:37 hgbot Note Added: 0077891
2015-05-29 13:37 hgbot Checkin
2015-05-29 13:37 hgbot Note Added: 0077892
2015-05-29 13:38 vmromanos Review Assigned To => vmromanos
2015-05-29 13:38 vmromanos Note Added: 0077893
2015-05-29 13:38 vmromanos Status resolved => closed
2015-06-01 11:10 hgbot Checkin
2015-06-01 11:10 hgbot Note Added: 0077919
2015-06-02 03:42 hudsonbot Checkin
2015-06-02 03:42 hudsonbot Note Added: 0077957
2015-06-02 03:42 hudsonbot Checkin
2015-06-02 03:42 hudsonbot Note Added: 0077958
2015-06-02 03:42 hudsonbot Checkin
2015-06-02 03:42 hudsonbot Note Added: 0077959
2015-06-02 12:01 aferraz Relationship added causes 0030070
2015-06-03 09:34 vmromanos Relationship added causes 0030080
2016-02-16 16:01 inigosanchez Relationship added causes 0032233
2016-06-20 10:11 aferraz Relationship added causes 0033288


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker